function checkRadio(radio) {
	var div = Ext.get('scan_options');
	if (div) {
		if (radio.value == 'Scan')
			div.dom.style.display = 'block';
		else
			div.dom.style.display = 'none';
	} 

	Ext.get('submit_button').dom.disabled = false;
}

function submitScan() {
	
	var import_method = false;
	Ext.each( Ext.query(".import-method"), function(obj) {
		if (obj.checked) {
			import_method = obj.value;
		}
	});

	// Read form values
	var ip_range = Ext.get('ip_range').dom;
	var port_range = Ext.get('port_range').dom;
	var icmp_check = (Ext.get('icmp_check').dom.checked) ? 1 : 0;
	var scan_level = Ext.get('scan_level').dom.options[ Ext.get('scan_level').dom.selectedIndex ].value ;
	
	// Verify ip_range
	if (import_method == 'Scan' && ip_range.value == '') {
		Ext.get('ip_range_mandatory').dom.style.display = 'inline';
		ip_range.style.border = '1px solid red';
		return;
	} else {
		Ext.get('ip_range_mandatory').dom.style.display = 'none';
		ip_range.style.border = port_range.style.border;
	}
	
	// Submit Job
	var URL = '/opmon/seagull/www/index.php/discovery/action/submit_job';
	Ext.Ajax.request({
		url:		URL,
		method:	'post',
		params:	{ 
			import_method: import_method,
			ip_range: ip_range.value,
			port_range: port_range.value,
			icmp_check: icmp_check,
			scan_level: scan_level
		},
		success:	function(result,request) {
			alert(result.responseText);
			update_running_jobs();
		}
	});
	
}

function markAllChecks() {
	
	var elements = document.getElementsByTagName("input");
	for( i = 0; i<elements.length; i++ ) {
		var input = elements[i];
		if (input.type == 'checkbox')
			input.checked = true;
	}
	
}

function checkAndUncheckByHost( el, host ) {
	
	var elements = document.getElementsByTagName("input");
	for( i = 0; i<elements.length; i++ ) {
		var input = elements[i];
		if (input.type == 'checkbox') {
			//if (input.name.match(host))// && input.name.match("svcs"))
			if (input.name == host)// && input.name.match("svcs"))
				input.checked = (el.checked == true) ? true : false;
				
		}
	}
}

function markHost( host ) {
	
	var elements = document.getElementsByTagName("input");
	for( i = 0; i<elements.length; i++ ) {
		var input = elements[i];
		if (input.type == 'checkbox' && input.name.match(host)) {
			input.checked = true;
			return;
		}
			
	}
	
}

function update_running_jobs() {
	
	var URL = '/opmon/seagull/www/index.php/discovery/action/update_running_jobs';
	Ext.Ajax.request({
		url:		URL,
		method:	'post',
		success:	function(result,request) {
			Ext.get('runningJobs').dom.innerHTML = result.responseText;
		}
	});

}

function update_executed_jobs() {
	
	var URL = '/opmon/seagull/www/index.php/discovery/action/update_executed_jobs';
	Ext.Ajax.request({
		url:		URL,
		method:	'post',
		success:	function(result,request) {
			Ext.get('executedJobs').dom.innerHTML = result.responseText;
		}
	});

}

function setDefaultServiceTemplate( el, host ) {
	
	var elements = document.getElementsByTagName("select");
	for( i = 0; i<elements.length; i++ ) {
		var select = elements[i];
		if (select.name.match(host) && select.name.match("svcs") && select.name.match("use_template_id"))
			select.selectedIndex = el.selectedIndex-1;
				
	}
	
}

function show_and_hide( showEl, hideEl ) {
	
	if (Ext.isIE)
		Ext.get(showEl).dom.style.display = 'block';
	else
		Ext.get(showEl).dom.style.display = 'table';
	Ext.get(hideEl).dom.style.display = 'none';
	
}

function ignoreContent( id, addr ) {

	var ret = confirm("Do you really want to ignore this object?");
	if (!ret)
		return false;

	var el = Ext.get('content_' + id);
	if (el) 
		el.remove();

	var ignored = Ext.get('ignored');
	if (ignored) {
		if (ignored.dom.value == '')
			ignored.dom.value = addr;
		else
			ignored.dom.value += "," + addr;
	}

}
